> For the complete documentation index, see [llms.txt](https://developer.erudus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.erudus.com/api-reference/images.md).

# Images

## List Product Images

> Returns a list of images uploaded by the Brand Owner or Wholesaler.\
> The response includes urls of different size images if available from the system.

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Images","description":""}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/images/{product}":{"get":{"summary":"List Product Images","operationId":"listProductImages","description":"Returns a list of images uploaded by the Brand Owner or Wholesaler.\nThe response includes urls of different size images if available from the system.","parameters":[{"in":"query","name":"wholesaler","description":"Show images for wholesaler (results will include brand owner and wholesaler's images).","required":false,"schema":{"type":"integer","description":"Show images for wholesaler (results will include brand owner and wholesaler's images)."}},{"in":"query","name":"filter[wholesaler]","description":"Filter images by wholesaler.","required":false,"schema":{"type":"integer","description":"Filter images by wholesaler."}},{"in":"query","name":"filter[type]","description":"Filter images by Image Type ID.","required":false,"schema":{"type":"integer","description":"Filter images by Image Type ID."}},{"in":"query","name":"sort","description":"Sort images by field.","required":false,"schema":{"type":"integer","description":"Sort images by field."}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer"},"per page":{"type":"integer"},"pages":{"type":"integer"},"total":{"type":"integer"},"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"owner_id":{"type":"integer"},"owner_type":{"type":"string"},"description":{"type":"string"},"type":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"width":{"type":"integer"},"height":{"type":"integer"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"status":{"type":"string"},"mime":{"type":"string"},"url_original":{"type":"string"},"url":{"type":"string"},"url_medium":{"type":"string"},"url_large":{"type":"string","nullable":true}}}}}}}}}},"tags":["Images"]}}}}
```

## Get Product Feature Image

> Returns the feature image for the product. This is set by the Brand Owner.\
> The response includes urls of different size images if available from the system.

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Images","description":""}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/images/{product}/feature":{"get":{"summary":"Get Product Feature Image","operationId":"getProductFeatureImage","description":"Returns the feature image for the product. This is set by the Brand Owner.\nThe response includes urls of different size images if available from the system.","parameters":[{"in":"query","name":"wholesaler","description":"Show images for wholesaler (includes brand and wholesaler's images).","required":false,"schema":{"type":"integer","description":"Show images for wholesaler (includes brand and wholesaler's images)."}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"owner_id":{"type":"integer"},"owner_type":{"type":"string"},"description":{"type":"string"},"type":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"}}},"width":{"type":"integer"},"height":{"type":"integer"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"status":{"type":"string"},"mime":{"type":"string"},"url_original":{"type":"string"},"url":{"type":"string"},"url_medium":{"type":"string"},"url_large":{"type":"string","nullable":true}}}}}}}}},"tags":["Images"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.erudus.com/api-reference/images.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
